
.v-select {
    &.is-invalid {
        .vs__dropdown-toggle {
            border-color: #e3342f;
        }
        ~ .invalid-feedback {
            display: block;
        }
    }
    .vs__selected {
        color: #495057;
    }
    &.vs--disabled {
        .vs__dropdown-toggle {
            background: transparent;
            cursor: default;
            padding: 0;
            border: none;
            border-bottom: 1px solid #000000;
            border-radius: 0;
            .vs__selected-options {
                padding: 0;
            }
            .vs__actions {
                display: none;
            }
            .vs__selected {
                cursor: default;
                margin-left: 0;
                padding: 0;
                background: transparent;
                border: none;
                margin-right: 20px;
                .vs__deselect {
                    display: none;
                }
            }
        }
        .vs__search {
            display: none;
        }
    }
    .vs__dropdown-toggle {
        min-height: $components-height;
    }
}
.form-group {
    label {
        font-weight: bold;
    }
}
.form-control {
    &:disabled, &[readonly] {
        background: transparent;
        cursor: default;
        border: none;
        padding: 0;
        border-bottom: 1px solid #000000;
        border-radius: 0;
    }
    height: $components-height;
}
.custom-select {
    height: $components-height;
    line-height: 1.3;
}
select.form-control:disabled {
    -moz-appearance: none;
    /* for Chrome */
    -webkit-appearance: none;
    &::-ms-expand {
        display: none;
    }
}
.date-time-picker {
    &.is-invalid {
        .field-input {
            border-color: #e3342f;
        }
        ~ .invalid-feedback {
            display: block;
        }
    }
    .field {
        &.is-disabled {
            .field-input {
                background: transparent;
                cursor: default;
            }
        }
        &.sm {
            .field-input {
                height: $components-height;
                min-height: $components-height;
            }
        }
    }
    .field-input {
        font-size: inherit !important;
        color: #495057;
    }
    input, label, p, span {
        font-family: $font-family-sans-serif;
    }
}
.gallery-image-pickers {
    &.is-invalid {
        ~ .invalid-feedback {
            display: block;
        }
    }
}
.service-map {
    &.is-invalid {
        border: 1px solid #e3342f;
        ~ .invalid-feedback {
            display: block;
        }
    }
}
.custom-switch {
    &.is-invalid {
        ~ .invalid-feedback {
            display: block;
        }
    }
}

.table-filters {
    .form-group {
        margin-bottom: 10px;
        > button {
            height: 32px;
            padding-top: 4px;
        }
    }
    label, input, .v-select, select {
        margin-right: 8px;
    }
    margin-bottom: 10px;
    input.vs__search {
        margin-right: 0 !important;
    }
}
.invalid-feedback {
    strong {
        display: block;
    }
}

.image-picker {
    img {
        max-width: 250px;
    }
}

.button-tooltip {
    width: 16px;
    height: 16px;
    border-radius: 8px;
    background-color: #000000;
    color: #ffffff;
    display: inline-block;
    text-align: center;
    font-size: 12px;
}

.drag-zone {
    .drop-active {
        top: 0;
        bottom: 0;
        right: 0;
        left: 0;
        position: fixed;
        z-index: 9999;
        opacity: .6;
        text-align: center;
        background: #000;
        h3 {
            margin: -.5em 0 0;
            position: absolute;
            top: 50%;
            left: 0;
            right: 0;
            -webkit-transform: translateY(-50%);
            -ms-transform: translateY(-50%);
            transform: translateY(-50%);
            font-size: 40px;
            color: #fff;
            padding: 0;
        }
    }
}
